ClassFormatException (Apache Tomcat 10.1.14 API Documentation)

Package org.apache.tomcat.util.bcel.classfile

## Class ClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tomcat.util.bcel.classfile.ClassFormatException

- All Implemented Interfaces:
    `Serializable`

      public class ClassFormatException
      extends RuntimeException

  Thrown when the BCEL attempts to read a class file and determines that a class is malformed or otherwise cannot be interpreted as a class file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassFormatException()` | Constructs a new instance with `null` as its detail message.
    `ClassFormatException​(String message)` | Constructs a new instance with the specified detail message.
    `ClassFormatException​(String message, Throwable cause)` | Constructs a new instance with the specified detail message and cause.
    `ClassFormatException​(Throwable cause)` | Constructs a new instance with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassFormatException

          public ClassFormatException()

      Constructs a new instance with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### ClassFormatException

          public ClassFormatException​(String message)

      Constructs a new instance with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### ClassFormatException

          public ClassFormatException​(String message,
                                      Throwable cause)

      Constructs a new instance with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### ClassFormatException

          public ClassFormatException​(Throwable cause)

      Constructs a new instance with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)